cascading

## Class ComparePlatformsTest.CompareTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - cascading.ComparePlatformsTest.CompareTestCase

All Implemented Interfaces:
  junit.framework.Test

Enclosing class:
  ComparePlatformsTest

    public static class ComparePlatformsTest.CompareTestCase
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`ComparePlatformsTest.CompareTestCase(java.lang.String comparison, java.io.File localFile, java.io.File hadoopFile)`

### Method Summary

Methods
`void` `testFiles()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComparePlatformsTest.CompareTestCase

    public ComparePlatformsTest.CompareTestCase(java.lang.String comparison,
                                        java.io.File localFile,
                                        java.io.File hadoopFile)

### Method Detail

#### testFiles

    public void testFiles()
                   throws java.io.IOException

Throws:
  `java.io.IOException`